Bug 505572 - iptables segfaults in xtables_parse_protocol calling strcmp [NEEDINFO]
iptables segfaults in xtables_parse_protocol calling strcmp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
: EasyFix, Patch
: 511386 530848 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 09:46 EDT by Alexander Kahl
Modified: 2010-06-28 08:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:55:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeff.raber: needinfo? (twoerner)


Attachments (Terms of Use)
Same patch that was applied by netfilter to resolve this bug. (427 bytes, patch)
2010-02-12 01:41 EST, Jeff Raber
no flags Details | Diff

  None (edit)
Description Alexander Kahl 2009-06-12 09:46:58 EDT
Reproducible anytime by calling iptables with any rule-creating command (-A, -I, -R) and defining an unknown protocol for -p, example:

iptables -t filter -I FORWARD -p foo -j ACCEPT

This can also be done by any regular user having effective executable permissions on /sbin/iptables.

The backtrace is as follows
#0  strcmp () at ../sysdeps/x86_64/strcmp.S:30
#1  0x0000003a6fe02dfc in xtables_parse_protocol (s=0x7fffa48818fd "foo") at xtables.c:1515
#2  0x0000000000403b0d in do_command (argc=9, argv=0x7fffa487fef8, table=<value optimized out>, handle=<value optimized out>) at iptables.c:1518
#3  0x000000000040208c in main (argc=9, argv=0x7fffa487fef8) at iptables-standalone.c:65

Versions of programs involved:
iptables: iptables-1.4.3.1-1.fc11.x86_64
glibc:    glibc-2.10.1-2.x86_64
linux:    kernel-2.6.29.3-155.fc11.x86_64
Comment 1 Thomas Woerner 2009-09-17 04:24:30 EDT
*** Bug 511386 has been marked as a duplicate of this bug. ***
Comment 2 Pietro Incardona 2009-10-25 11:40:23 EDT
*** Bug 530848 has been marked as a duplicate of this bug. ***
Comment 3 Jeff Raber 2010-02-10 19:21:26 EST
Fixed in 1.4.4-1 but not backported to Fedora 11.  

Ref: http://koji.fedoraproject.org/koji/buildinfo?buildID=129156

Assignee:  If there are no plans to backport this fix to Fedora 11, please set status to CLOSED/NEXTRELEASE.

---

Fedora BugZappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Jeff Raber 2010-02-12 01:41:34 EST
Created attachment 390448 [details]
Same patch that was applied by netfilter to resolve this bug.

Netfilter patch -> http://git.netfilter.org/cgi-bin/gitweb.cgi?p=iptables.git;a=commitdiff;h=e55cc4aaa6e35448c14370e5261c3387d26b257d

Assignee:  Any chance this patch can be committed and a bugfix released for F11?
Comment 5 Bug Zapper 2010-04-27 10:49:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:55:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.